Subject: Re: [PATCH] ARM:mfd: fix ezx-pcap build failure

From: Mark Brown <[email-masked]>
Date: Thu, 26 Apr 2012 23:04:38 +0100

On Thu, Apr 26, 2012 at 10:52:58PM +0100, Russell King - ARM Linux wrote:

> The real answer is to fix SPI et.al. so that its possible to pass the
> _GPIO_ number into this driver (that's what the driver wants for its
> interrupt line after all).  To fix that, SPI folk need to get involved
> (added Grant as a first step.)

Or, in the short term, add platform data to pass in a GPIO and ignore
any IRQ that might get passed in.